package track21;

import waba.ui.*;
import waba.fx.*;

public class NewDatabaseWindow extends Window
{
  Edit dbEdit;
  Button enterBtn, cancelBtn;

  String alphaNum="abcdefghijklmnopqrstuvwxyz1234567890";


  public NewDatabaseWindow()
  {
//    Label l1=new Label("DB Name:");
//    add(l1);
//    l1.setRect(LEFT,CENTER,PREFERRED,PREFERRED);

    dbEdit=new Edit();
    add(dbEdit);
    dbEdit.setRect(50,25,60,PREFERRED);
    dbEdit.setValidChars(alphaNum);

    enterBtn=new Button("Enter");
    add(enterBtn);
    enterBtn.setRect(50,AFTER+3,PREFERRED,PREFERRED);

    cancelBtn=new Button("Cancel");
    add(cancelBtn);
    cancelBtn.setRect(AFTER+5,SAME,PREFERRED,PREFERRED);
  }


  public void onEvent(Event event)
    {
      switch(event.type)
      {
        case ControlEvent.PRESSED:
          if(event.target==enterBtn)
          {
            this.unpop();
          }
          else
          if(event.target==cancelBtn)
          {
            dbEdit.setText("");
            this.unpop();
          }
          break;
      }
    }

  public String getNewDBname()
  {
    return dbEdit.getText();
  }

}
